Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DV.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DV.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DV.pm	(revision 34921)
@@ -16,5 +16,5 @@
 use Image::ExifTool qw(:DataAccess :Utils);
 
-$VERSION = '1.00';
+$VERSION = '1.02';
 
 # DV profiles (ref 1)
@@ -25,5 +25,4 @@
         FrameSize => 120000,
         VideoFormat => 'IEC 61834, SMPTE-314M - 525/60 (NTSC)',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:1:1',
         FrameRate => 30000/1001,
@@ -35,5 +34,4 @@
         FrameSize => 144000,
         VideoFormat => 'IEC 61834 - 625/50 (PAL)',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:0',
         FrameRate => 25/1,
@@ -45,5 +43,4 @@
         FrameSize => 144000,
         VideoFormat => 'SMPTE-314M - 625/50 (PAL)',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:1:1',
         FrameRate => 25/1,
@@ -55,5 +52,4 @@
         FrameSize => 240000,
         VideoFormat => 'DVCPRO50: SMPTE-314M - 525/60 (NTSC) 50 Mbps',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:2',
         FrameRate => 30000/1001,
@@ -65,5 +61,4 @@
         FrameSize => 288000,
         VideoFormat => 'DVCPRO50: SMPTE-314M - 625/50 (PAL) 50 Mbps',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:2',
         FrameRate => 25/1,
@@ -75,5 +70,4 @@
         FrameSize => 480000,
         VideoFormat => 'DVCPRO HD: SMPTE-370M - 1080i60 100 Mbps',
-        VideoScanType => 'Interlaced',
         Colorimetry => '4:2:2',
         FrameRate => 30000/1001,
@@ -85,5 +79,4 @@
         FrameSize => 576000,
         VideoFormat => 'DVCPRO HD: SMPTE-370M - 1080i50 100 Mbps',
-        VideoScanType => 'Interlaced',
         Colorimetry => '4:2:2',
         FrameRate => 25/1,
@@ -95,5 +88,4 @@
         FrameSize => 240000,
         VideoFormat => 'DVCPRO HD: SMPTE-370M - 720p60 100 Mbps',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:2',
         FrameRate => 60000/1001,
@@ -105,5 +97,4 @@
         FrameSize => 288000,
         VideoFormat => 'DVCPRO HD: SMPTE-370M - 720p50 100 Mbps',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:2',
         FrameRate => 50/1,
@@ -115,5 +106,4 @@
         FrameSize => 144000,
         VideoFormat => 'IEC 61883-5 - 625/50 (PAL)',
-        VideoScanType => 'Progressive',
         Colorimetry => '4:2:0',
         FrameRate => 25/1,
@@ -137,4 +127,5 @@
     NOTES => 'The following tags are extracted from DV videos.',
     DateTimeOriginal => {
+        Description => 'Date/Time Original',
         Groups => { 2 => 'Time' },
         PrintConv => '$self->ConvertDateTime($val)',
@@ -160,5 +151,5 @@
 sub ProcessDV($$)
 {
-    my ($exifTool, $dirInfo) = @_;
+    my ($et, $dirInfo) = @_;
     local $_;
     my $raf = $$dirInfo{RAF};
@@ -180,8 +171,8 @@
     return 0 if $start + 80 * 6 > $len;
 
-    $exifTool->SetFileType();
+    $et->SetFileType();
 
     my $pos = $start;
-    my $dsf = Get8u(\$buff, $pos + 3) & 0x80 >> 7;
+    my $dsf = (Get8u(\$buff, $pos + 3) & 0x80) >> 7;
     my $stype = Get8u(\$buff, $pos + 80*5 + 48 + 3) & 0x1f;
 
@@ -195,5 +186,5 @@
             last;
         }
-        $profile or $exifTool->Warn("Unrecognized DV profile"), return 1;
+        $profile or $et->Warn("Unrecognized DV profile"), return 1;
     }
     my $tagTablePtr = GetTagTable('Image::ExifTool::DV::Main');
@@ -201,5 +192,5 @@
     # calculate total bit rate and duration
     my $byteRate = $$profile{FrameSize} * $$profile{FrameRate};
-    my $fileSize = $$exifTool{VALUE}{FileSize};
+    my $fileSize = $$et{VALUE}{FileSize};
     $$profile{TotalBitrate} = 8 * $byteRate;
     $$profile{Duration} = $fileSize / $byteRate if defined $fileSize;
@@ -208,5 +199,6 @@
     delete $$profile{DateTimeOriginal};
     delete $$profile{AspectRatio};
-    my ($date, $time, $is16_9);
+    delete $$profile{VideoScanType};
+    my ($date, $time, $is16_9, $interlace);
     for ($i=1; $i<6; ++$i) {
         $pos += 80;
@@ -220,4 +212,5 @@
                 my $t = Get8u(\$buff, $p + 2);
                 $is16_9 = (($t & 0x07) == 0x02 or (not $apt and ($t & 0x07) == 0x07));
+                $interlace = Get8u(\$buff, $p + 3) & 0x10; # (ref 2)
             } elsif ($type == 0x62) { # date
                 # mask off unused bits
@@ -245,5 +238,8 @@
     if ($date and $time) {
         $$profile{DateTimeOriginal} = "$date $time";
-        $$profile{AspectRatio} = $is16_9 ? '16:9' : '5:4' if defined $is16_9;
+        if (defined $is16_9) {
+            $$profile{AspectRatio} = $is16_9 ? '16:9' : '4:3';
+            $$profile{VideoScanType} = $interlace ? 'Interlaced' : 'Progressive';
+        }
     }
 
@@ -271,5 +267,5 @@
     foreach $tag (@dvTags) {
         next unless defined $$profile{$tag};
-        $exifTool->HandleTag($tagTablePtr, $tag, $$profile{$tag});
+        $et->HandleTag($tagTablePtr, $tag, $$profile{$tag});
     }
 
@@ -296,5 +292,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DarwinCore.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DarwinCore.pm	(revision 34921)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DarwinCore.pm	(revision 34921)
@@ -0,0 +1,381 @@
+#------------------------------------------------------------------------------
+# File:         DarwinCore.pm
+#
+# Description:  Darwin Core XMP tags
+#
+# Revisions:    2013-01-28 - P. Harvey Created
+#
+# References:   1) http://rs.tdwg.org/dwc/index.htm
+#               2) https://exiftool.org/forum/index.php/topic,4442.0/all.html
+#------------------------------------------------------------------------------
+
+package Image::ExifTool::DarwinCore;
+
+use strict;
+use vars qw($VERSION);
+use Image::ExifTool::XMP;
+
+$VERSION = '1.05';
+
+my %dateTimeInfo = (
+    # NOTE: Do NOT put "Groups" here because Groups hash must not be common!
+    Writable => 'date',
+    Shift => 'Time',
+    PrintConv => '$self->ConvertDateTime($val)',
+    PrintConvInv => '$self->InverseDateTime($val,undef,1)',
+);
+
+my %materialSample = (
+    STRUCT_NAME => 'DarwinCore MaterialSample',
+    NAMESPACE => 'dwc',
+    materialSampleID    => { },
+);
+
+my %event = (
+    STRUCT_NAME => 'DarwinCore Event',
+    NAMESPACE => 'dwc',
+    day                 => { Writable => 'integer', Groups => { 2 => 'Time' } },
+    earliestDate        => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+    endDayOfYear        => { Writable => 'integer', Groups => { 2 => 'Time' } },
+    eventDate           => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+    eventID             => { },
+    eventRemarks        => { Writable => 'lang-alt' },
+    eventTime => {
+        Groups => { 2 => 'Time' },
+        Writable => 'string', # (so we can format this ourself)
+        Shift => 'Time',
+        # (allow date/time or just time value)
+        ValueConv => 'Image::ExifTool::XMP::ConvertXMPDate($val)',
+        PrintConv => '$self->ConvertDateTime($val)',
+        ValueConvInv => 'Image::ExifTool::XMP::FormatXMPDate($val) or $val',
+        PrintConvInv => q{
+            my $v = $self->InverseDateTime($val,undef,1);
+            undef $Image::ExifTool::evalWarning;
+            return $v if $v;
+            # allow time-only values by adding dummy date (thanks Herb)
+            my $v = $self->InverseDateTime("2000:01:01 $val",undef,1);
+            undef $Image::ExifTool::evalWarning;
+            return $v if $v and $v =~ s/.* //;  # strip off dummy date
+            $Image::ExifTool::evalWarning = 'Invalid date/time or time-only value (use HH:MM:SS[.ss][+/-HH:MM|Z])';
+            return undef;
+        },
+    },
+    fieldNotes          => { },
+    fieldNumber         => { },
+    habitat             => { },
+    latestDate          => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+    month               => { Writable => 'integer', Groups => { 2 => 'Time' } },
+    parentEventID       => { },
+    samplingEffort      => { },
+    samplingProtocol    => { },
+    sampleSizeValue     => { },
+    sampleSizeUnit      => { },
+    startDayOfYear      => { Writable => 'integer', Groups => { 2 => 'Time' } },
+    verbatimEventDate   => { Groups => { 2 => 'Time' } },
+    year                => { Writable => 'integer', Groups => { 2 => 'Time' } },
+);
+
+# Darwin Core tags
+%Image::ExifTool::DarwinCore::Main = (
+    GROUPS    => { 0 => 'XMP', 1 => 'XMP-dwc', 2 => 'Other' },
+    NAMESPACE => 'dwc',
+    WRITABLE  => 'string',
+    NOTES => q{
+        Tags defined in the Darwin Core (dwc) XMP namespace.  See
+        L<http://rs.tdwg.org/dwc/index.htm> for the official specification.
+    },
+    Event => {
+        Name => 'DCEvent',  # (avoid conflict with XMP-iptcExt:Event)
+        FlatName => 'Event',
+        Struct => \%event,
+    },
+    # tweak a few of the flattened tag names
+    EventEventDate    => { Name => 'EventDate',     Flat => 1 },
+    EventEventID      => { Name => 'EventID',       Flat => 1 },
+    EventEventRemarks => { Name => 'EventRemarks',  Flat => 1 },
+    EventEventTime    => { Name => 'EventTime',     Flat => 1 },
+    FossilSpecimen    => { Struct => \%materialSample },
+    GeologicalContext => {
+        FlatName => '', # ('GeologicalContext' is too long)
+        Struct => {
+            STRUCT_NAME => 'DarwinCore GeologicalContext',
+            NAMESPACE => 'dwc',
+            bed                         => { },
+            earliestAgeOrLowestStage    => { },
+            earliestEonOrLowestEonothem => { },
+            earliestEpochOrLowestSeries => { },
+            earliestEraOrLowestErathem  => { },
+            earliestPeriodOrLowestSystem=> { },
+            formation                   => { },
+            geologicalContextID         => { },
+            group                       => { },
+            highestBiostratigraphicZone => { },
+            latestAgeOrHighestStage     => { },
+            latestEonOrHighestEonothem  => { },
+            latestEpochOrHighestSeries  => { },
+            latestEraOrHighestErathem   => { },
+            latestPeriodOrHighestSystem => { },
+            lithostratigraphicTerms     => { },
+            lowestBiostratigraphicZone  => { },
+            member                      => { },
+        },
+    },
+    GeologicalContextBed        => { Name => 'GeologicalContextBed',        Flat => 1 },
+    GeologicalContextFormation  => { Name => 'GeologicalContextFormation',  Flat => 1 },
+    GeologicalContextGroup      => { Name => 'GeologicalContextGroup',      Flat => 1 },
+    GeologicalContextMember     => { Name => 'GeologicalContextMember',     Flat => 1 },
+    HumanObservation => { Struct => \%event },
+    Identification => {
+        FlatName => '', # ('Identification' is redundant)
+        Struct => {
+            STRUCT_NAME => 'DarwinCore Identification',
+            NAMESPACE => 'dwc',
+            dateIdentified              => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+            identificationID            => { },
+            identificationQualifier     => { },
+            identificationReferences    => { },
+            identificationRemarks       => { },
+            identificationVerificationStatus => { },
+            identifiedBy                => { },
+            typeStatus                  => { },
+        },
+    },
+    LivingSpecimen      => { Struct => \%materialSample },
+    MachineObservation  => { Struct => \%event },
+    MaterialSample      => { Struct => \%materialSample },
+    MaterialSampleMaterialSampleID => { Name => 'MaterialSampleID', Flat => 1 },
+    MeasurementOrFact => {
+        FlatName => '', # ('MeasurementOrFact' is redundant and too long)
+        Struct => {
+            STRUCT_NAME => 'DarwinCore MeasurementOrFact',
+            NAMESPACE => 'dwc',
+            measurementAccuracy         => { Format => 'real' },
+            measurementDeterminedBy     => { },
+            measurementDeterminedDate   => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+            measurementID               => { },
+            measurementMethod           => { },
+            measurementRemarks          => { },
+            measurementType             => { },
+            measurementUnit             => { },
+            measurementValue            => { },
+        },
+    },
+    Occurrence => {
+        Struct => {
+            STRUCT_NAME => 'DarwinCore Occurrence',
+            NAMESPACE => 'dwc',
+            associatedMedia             => { },
+            associatedOccurrences       => { },
+            associatedReferences        => { },
+            associatedSequences         => { },
+            associatedTaxa              => { },
+            behavior                    => { },
+            catalogNumber               => { },
+            disposition                 => { },
+            establishmentMeans          => { },
+            individualCount             => { },
+            individualID                => { },
+            lifeStage                   => { },
+            occurrenceDetails           => { },
+            occurrenceID                => { },
+            occurrenceRemarks           => { },
+            occurrenceStatus            => { },
+            organismQuantity            => { },
+            organismQuantityType        => { },
+            otherCatalogNumbers         => { },
+            preparations                => { },
+            previousIdentifications     => { },
+            recordedBy                  => { },
+            recordNumber                => { },
+            reproductiveCondition       => { },
+            sex                         => { },
+        },
+    },
+    OccurrenceOccurrenceDetails => { Name => 'OccurrenceDetails', Flat => 1 },
+    OccurrenceOccurrenceID      => { Name => 'OccurrenceID',      Flat => 1 },
+    OccurrenceOccurrenceRemarks => { Name => 'OccurrenceRemarks', Flat => 1 },
+    OccurrenceOccurrenceStatus  => { Name => 'OccurrenceStatus',  Flat => 1 },
+    Organism => {
+        Struct => {
+            STRUCT_NAME => 'DarwinCore Organism',
+            NAMESPACE => 'dwc',
+            associatedOccurrences       => { },
+            associatedOrganisms         => { },
+            organismID                  => { },
+            organismName                => { },
+            organismRemarks             => { },
+            organismScope               => { },
+            previousIdentifications     => { },
+        },
+    },
+    OrganismOrganismID      => { Name => 'OrganismID',      Flat => 1 },
+    OrganismOrganismName    => { Name => 'OrganismName',    Flat => 1 },
+    OrganismOrganismRemarks => { Name => 'OrganismRemarks', Flat => 1 },
+    OrganismOrganismScope   => { Name => 'OrganismScope',   Flat => 1 },
+    PreservedSpecimen       => { Struct => \%materialSample },
+    Record => {
+        Struct => {
+            STRUCT_NAME => 'DarwinCore Record',
+            NAMESPACE => 'dwc',
+            basisOfRecord               => { },
+            collectionCode              => { },
+            collectionID                => { },
+            dataGeneralizations         => { },
+            datasetID                   => { },
+            datasetName                 => { },
+            dynamicProperties           => { },
+            informationWithheld         => { },
+            institutionCode             => { },
+            institutionID               => { },
+            ownerInstitutionCode        => { },
+        },
+    },
+    ResourceRelationship => {
+        FlatName => '', # ('ResourceRelationship' is redundant and too long)
+        Struct => {
+            STRUCT_NAME => 'DarwinCore ResourceRelationship',
+            NAMESPACE => 'dwc',
+            relatedResourceID           => { },
+            relationshipAccordingTo     => { },
+            relationshipEstablishedDate => { %dateTimeInfo, Groups => { 2 => 'Time' } },
+            relationshipOfResource      => { },
+            relationshipRemarks         => { },
+            resourceID                  => { },
+            resourceRelationshipID      => { },
+        },
+    },
+    Taxon => {
+        Struct => {
+            STRUCT_NAME => 'DarwinCore Taxon',
+            NAMESPACE => 'dwc',
+            acceptedNameUsage           => { },
+            acceptedNameUsageID         => { },
+            class                       => { },
+            family                      => { },
+            genus                       => { },
+            higherClassification        => { },
+            infraspecificEpithet        => { },
+            kingdom                     => { },
+            nameAccordingTo             => { },
+            nameAccordingToID           => { },
+            namePublishedIn             => { },
+            namePublishedInID           => { },
+            namePublishedInYear         => { },
+            nomenclaturalCode           => { },
+            nomenclaturalStatus         => { },
+            order                       => { },
+            originalNameUsage           => { },
+            originalNameUsageID         => { },
+            parentNameUsage             => { },
+            parentNameUsageID           => { },
+            phylum                      => { },
+            scientificName              => { },
+            scientificNameAuthorship    => { },
+            scientificNameID            => { },
+            specificEpithet             => { },
+            subgenus                    => { },
+            taxonConceptID              => { },
+            taxonID                     => { },
+            taxonRank                   => { },
+            taxonRemarks                => { },
+            taxonomicStatus             => { },
+            verbatimTaxonRank           => { },
+            vernacularName              => { Writable => 'lang-alt' },
+        },
+    },
+    TaxonTaxonConceptID => { Name => 'TaxonConceptID',  Flat => 1 },
+    TaxonTaxonID        => { Name => 'TaxonID',         Flat => 1 },
+    TaxonTaxonRank      => { Name => 'TaxonRank',       Flat => 1 },
+    TaxonTaxonRemarks   => { Name => 'TaxonRemarks',    Flat => 1 },
+    dctermsLocation => {
+        Name => 'DCTermsLocation',
+        Groups => { 2 => 'Location' },
+        FlatName => 'DC', # ('dctermsLocation' is too long)
+        Struct => {
+            STRUCT_NAME => 'DarwinCore DCTermsLocation',
+            NAMESPACE => 'dwc',
+            continent                   => { },
+            coordinatePrecision         => { },
+            coordinateUncertaintyInMeters => { },
+            country                     => { },
+            countryCode                 => { },
+            county                      => { },
+            decimalLatitude             => { },
+            decimalLongitude            => { },
+            footprintSpatialFit         => { },
+            footprintSRS                => { },
+            footprintWKT                => { },
+            geodeticDatum               => { },
+            georeferencedBy             => { },
+            georeferencedDate           => { },
+            georeferenceProtocol        => { },
+            georeferenceRemarks         => { },
+            georeferenceSources         => { },
+            georeferenceVerificationStatus => { },
+            higherGeography             => { },
+            higherGeographyID           => { },
+            island                      => { },
+            islandGroup                 => { },
+            locality                    => { },
+            locationAccordingTo         => { },
+            locationID                  => { },
+            locationRemarks             => { },
+            maximumDepthInMeters        => { },
+            maximumDistanceAboveSurfaceInMeters => { },
+            maximumElevationInMeters    => { },
+            minimumDepthInMeters        => { },
+            minimumDistanceAboveSurfaceInMeters => { },
+            minimumElevationInMeters    => { },
+            municipality                => { },
+            pointRadiusSpatialFit       => { },
+            stateProvince               => { },
+            verbatimCoordinates         => { },
+            verbatimCoordinateSystem    => { },
+            verbatimDepth               => { },
+            verbatimElevation           => { },
+            verbatimLatitude            => { },
+            verbatimLocality            => { },
+            verbatimLongitude           => { },
+            verbatimSRS                 => { },
+            waterBody                   => { },
+        },
+    },
+);
+
+1;  #end
+
+__END__
+
+=head1 NAME
+
+Image::ExifTool::DarwinCore - Darwin Core XMP tags
+
+=head1 SYNOPSIS
+
+This module is used by Image::ExifTool
+
+=head1 DESCRIPTION
+
+This file contains tag definitions for the Darwin Core XMP namespace.
+
+=head1 AUTHOR
+
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
+
+This library is free software; you can redistribute it and/or modify it
+under the same terms as Perl itself.
+
+=head1 REFERENCES
+
+=over 4
+
+=item L<http://rs.tdwg.org/dwc/index.htm>
+
+=back
+
+=head1 SEE ALSO
+
+L<Image::ExifTool::TagNames/XMP Tags>,
+L<Image::ExifTool(3pm)|Image::ExifTool>
+
+=cut
Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DjVu.pm
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DjVu.pm	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/DjVu.pm	(revision 34921)
@@ -19,5 +19,5 @@
 use Image::ExifTool qw(:DataAccess :Utils);
 
-$VERSION = '1.03';
+$VERSION = '1.06';
 
 sub ParseAnt($);
@@ -29,5 +29,8 @@
 %Image::ExifTool::DjVu::Main = (
     GROUPS => { 2 => 'Image' },
-    NOTES => 'Information is extracted from the following chunks in DjVu images.',
+    NOTES => q{
+        Information is extracted from the following chunks in DjVu images. See
+        L<http://www.djvu.org/> for the DjVu specification.
+    },
     INFO => {
         SubDirectory => { TagTable => 'Image::ExifTool::DjVu::Info' },
@@ -136,5 +139,5 @@
         documentation endorses tags borrowed from two standards: 1) BibTeX
         bibliography system tags (all lowercase Tag ID's in the table below), and 2)
-        PDF DocInfo tags (uppercase Tag ID's).
+        PDF DocInfo tags (capitalized Tag ID's).
     },
     # BibTeX tags (ref http://en.wikipedia.org/wiki/BibTeX)
@@ -225,4 +228,6 @@
                 $tok .= '"';    # quote is part of the string
             }
+            # must protect unescaped "$" and "@" symbols, and "\" at end of string
+            $tok =~ s{\\(.)|([\$\@]|\\$)}{'\\'.($2 || $1)}sge;
             # convert C escape sequences (allowed in quoted text)
             $tok = eval qq{"$tok"};
@@ -231,6 +236,5 @@
             # allow anything in key but whitespace, braces and double quotes
             # (this is one of those assumptions I mentioned)
-            $$dataPt =~ /([^\s()"]+)/sg;
-            $tok = $1;
+            $tok = $$dataPt =~ /([^\s()"]+)/sg ? $1 : undef;
         }
         push @toks, $tok if defined $tok;
@@ -247,5 +251,5 @@
 sub ProcessAnt($$$)
 {
-    my ($exifTool, $dirInfo, $tagTablePtr) = @_;
+    my ($et, $dirInfo, $tagTablePtr) = @_;
     my $dataPt = $$dirInfo{DataPt};
 
@@ -265,8 +269,8 @@
         if ($tag eq 'metadata') {
             # ProcessMeta() takes array reference
-            $exifTool->HandleTag($tagTablePtr, $tag, $ant);
+            $et->HandleTag($tagTablePtr, $tag, $ant);
         } else {
             next if ref $$ant[0];   # only process simple values
-            $exifTool->HandleTag($tagTablePtr, $tag, $$ant[0]);
+            $et->HandleTag($tagTablePtr, $tag, $$ant[0]);
         }
     }
@@ -281,8 +285,8 @@
 sub ProcessMeta($$$)
 {
-    my ($exifTool, $dirInfo, $tagTablePtr) = @_;
+    my ($et, $dirInfo, $tagTablePtr) = @_;
     my $dataPt = $$dirInfo{DataPt};
     return 0 unless ref $$dataPt eq 'ARRAY';
-    $exifTool->VerboseDir('Metadata', scalar @$$dataPt);
+    $et->VerboseDir('Metadata', scalar @$$dataPt);
     my ($item, $err);
     foreach $item (@$$dataPt) {
@@ -295,9 +299,9 @@
             $name =~ tr/-_a-zA-Z0-9//dc; # remove illegal characters
             length $name or $err = 1, next;
-            Image::ExifTool::AddTagToTable($tagTablePtr, $$item[0], { Name => ucfirst($name) });
+            AddTagToTable($tagTablePtr, $$item[0], { Name => ucfirst($name) });
         }
-        $exifTool->HandleTag($tagTablePtr, $$item[0], $$item[1]);
-    }
-    $err and $exifTool->Warn('Ignored invalid metadata entry(s)');
+        $et->HandleTag($tagTablePtr, $$item[0], $$item[1]);
+    }
+    $err and $et->Warn('Ignored invalid metadata entry(s)');
     return 1;
 }
@@ -309,16 +313,16 @@
 sub ProcessBZZ($$$)
 {
-    my ($exifTool, $dirInfo, $tagTablePtr) = @_;
+    my ($et, $dirInfo, $tagTablePtr) = @_;
     require Image::ExifTool::BZZ;
     my $buff = Image::ExifTool::BZZ::Decode($$dirInfo{DataPt});
     unless (defined $buff) {
-        $exifTool->Warn("Error decoding $$dirInfo{DirName}");
+        $et->Warn("Error decoding $$dirInfo{DirName}");
         return 0;
     }
-    my $verbose = $exifTool->Options('Verbose');
+    my $verbose = $et->Options('Verbose');
     if ($verbose >= 3) {
         # dump the decoded data in very verbose mode
-        $exifTool->VerboseDir("Decoded $$dirInfo{DirName}", 0, length $buff);
-        $exifTool->VerboseDump(\$buff);
+        $et->VerboseDir("Decoded $$dirInfo{DirName}", 0, length $buff);
+        $et->VerboseDump(\$buff);
     }
     $$dirInfo{DataPt} = \$buff;
@@ -326,5 +330,5 @@
     # process the data using the default process proc for this table
     my $processProc = $$tagTablePtr{PROCESS_PROC} or return 0;
-    return &$processProc($exifTool, $dirInfo, $tagTablePtr);
+    return &$processProc($et, $dirInfo, $tagTablePtr);
 }
 
@@ -349,5 +353,5 @@
 =head1 AUTHOR
 
-Copyright 2003-2011, Phil Harvey (phil at owl.phy.queensu.ca)
+Copyright 2003-2021, Phil Harvey (philharvey66 at gmail.com)
 
 This library is free software; you can redistribute it and/or modify it
